import React from "react";
import { useState } from "react";
import { Button } from "./Button";
import { Input } from "./Input";

export const Animal = (props) => {
  //  const [animal = props.animal, addAnimal] = useState(false);
  const animal = props.animal;
  const nadpis = props.nadpis;
  const emptyZoo = !props.animal.length;

  //   let emptyZoo = () => {
  //     if (animal.length === 0) return true;
  //     else return false;
  //   };

  ///const [setAnimal] = useState(animal);

  //if (animal.length === 0) emptyZoo = true;
  //else emptyZoo = false;

  return (
    <nav>
      <h1>{nadpis}</h1>
      {emptyZoo ? (
        <p>Zoo je prazdne</p>
      ) : (
        <ul>
          {animal.map((item) => (
            <li key={item}>{item}</li>
          ))}
        </ul>
      )}

      <Input onChange={props.handleOnChange} value={props.inputValue}></Input>

      <Button
        className="primary"
        isDisabled={emptyZoo}
        onClick={props.handleDeleteAnimal}
      >
        Delete
      </Button>

      <Button className="secondary" onClick={props.handleAddAnimal}>
        Add
      </Button>
    </nav>
  );
};
