import React from "react";
import { Button } from "./Button";
import { useState } from "react";

export const Menu = (props) => {
  const menu = props.menu;
  const nadpis = props.nadpis;

  // const {menu, nadpis} = props;

  //const [menu, setMenu] = useState(["Uvod", "O nas", "Kontakt"]);
  //const menu = ["Uvod", "O nas", "Kontakt"];
  //const menu = [];
  //   if (menu.length === 0) {
  //     return <p>Menu je prazdne</p>;
  //   }

  /* const handleAddMenu = () => {
    console.log("pridal jsi menu");
    setMenu(["Uvod", "O nas", "Kontakt"]);
  };

  const handleDeleteMenu = () => {
    console.log("smazal jsi menu");
    setMenu([]);
  }; */

  return (
    <nav>
      <h1>{nadpis}</h1>
      {menu.length === 0 ? (
        <p>Menu je prazdne</p>
      ) : (
        <ul>
          {menu.map((item) => (
            <li key={item}>{item}</li>
          ))}
        </ul>
      )}

      <Button onClick={props.handleDeleteMenu}>Delete</Button>

      <Button onClick={props.handleAddMenu}>Add</Button>
    </nav>
  );
};
